# AbstractAddon Class Reference

### [com.trolltech.qt.phonon package]

### Constructor

- void AbstractAddon()

### Constructor Properties

- prototype: The AbstractAddon prototype object
- availableSubtitles
- currentSubtitle
- setCurrentSubtitle
- SubtitleCommand( value )
- availableTitles
- title
- setTitle
- autoplayTitles
- setAutoplayTitles
- TitleCommand( value )
- NavigationInterface = 1
- ChapterInterface = 2
- AngleInterface = 3
- TitleInterface = 4
- SubtitleInterface = 5
- AudioChannelInterface = 6
- Interface( value )
- availableAudioChannels
- currentAudioChannel
- setCurrentAudioChannel
- AudioChannelCommand( value )
- availableChapters
- chapter
- setChapter
- ChapterCommand( value )
- availableMenus
- setMenu
- NavigationCommand( value )
- availableAngles
- angle
- setAngle
- AngleCommand( value )

### Prototype Object Properties

- bool hasInterface(Interface iface)
- Object interfaceCall(Interface iface, int command, List arguments)

### Instance Properties

AbstractAddon objects have no special properties beyond those inherited from the AbstractAddon prototype object.